SuiApplication main entry point of application. Based on the configuration, either start the default UI, or initialize library mode and await further instructions.

### Hierarchy

- SuiApplication

## Index

### Constructors

- constructor

### Accessors

- keyBindingDefaults

### Methods

- createScore
- createUi
- initialize

## Constructors

### constructor

- new SuiApplication(config: SmoConfiguration): SuiApplication

- - Defined in src/application/application.ts:117

  #### Parameters

  - ##### config: SmoConfiguration

  #### Returns SuiApplication

## Accessors

### Static keyBindingDefaults

- get keyBindingDefaults(): KeyBinding[]

- - Defined in src/application/application.ts:134

  // Different applications can create their own key bindings, these are the defaults. // Many editor commands can be reached by a single keystroke. For more advanced things there // are menus.

  #### Returns KeyBinding[]

## Methods

### createScore

- createScore(): Promise<any>

- - Defined in src/application/application.ts:194

  Create the initial score we use to populate the UI etc: 0. if translation mode, return empty promise, it won't be used anyway

  1. if remoteScore is set in config, try to load from remote
  2. if initialScore is set, use that
  3. if a score is saved locally with quick save (browser local cache), use that
  4. if all else fails, return an 'empty' score.

  #### Returns Promise<any>

  promise for a remote load. If a local load, will resolve immediately

### createUi

- createUi(): void

- - Defined in src/application/application.ts:272

  Convenience constructor, take the score and render it in the configured rendering space.

  #### Returns void

### initialize

- initialize(): Promise<SuiApplication>

- - Defined in src/application/application.ts:151

  Initialize the library according to instruction in config object:

  1. Try to load a new score
  2. If in application mode, start the UI. If in translation mode, start translation

  #### Returns Promise<SuiApplication>

Generated using TypeDoc